import { User } from '../../types/types';
import { User as FirebaseUser } from 'firebase/auth';
export declare function loginEmail(email: string, password: string): Promise<import('axios').AxiosResponse<{
    user: User;
    refreshToken: string;
    token: string;
}, any>>;
export declare function loginSocial(idToken: string, accessToken: string, loginType: string, authToken?: string): Promise<import('axios').AxiosResponse<any, any>>;
export declare function registerSocial(idToken: string, accessToken: string, authToken: string, loginType: string, signUpPlan?: string): Promise<import('axios').AxiosResponse<any, any>>;
export declare function checkEmailExist(email: string): Promise<import('axios').AxiosResponse<any, any>>;
export declare function loginViaJwt(clientToken: string): Promise<User>;
export declare const signInWithGoogle: () => Promise<{
    user: FirebaseUser;
    idToken: string;
    credential: import('firebase/auth').OAuthCredential;
} | {
    user?: undefined;
    idToken?: undefined;
    credential?: undefined;
}>;
export declare function uploadFile(formData: FormData): Promise<import('axios').AxiosResponse<any, any>>;
